Create environment
POST
/api/v1/environments/
const url = 'https://example.com/api/v1/environments/';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","protected":false,"platform":"databricks","gitProvider":"example","gitRepository":"example","targetGitBranch":"example","secretScope":"example","databricksClientIdKey":"example","databricksClientSecretKey":"example","configuration":{},"isActive":true,"createdBy":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/environments/ \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "protected": false, "platform": "databricks", "gitProvider": "example", "gitRepository": "example", "targetGitBranch": "example", "secretScope": "example", "databricksClientIdKey": "example", "databricksClientSecretKey": "example", "configuration": {}, "isActive": true, "createdBy": "example" }'Create a new deployment environment
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
EnvironmentCreateRequest
Request to create a new environment.
object
name
required
Name
Unique name for the environment
string
protected
Protected
If true, UI editing is disabled for this env
boolean
configuration
Configuration
Key-value configuration for the environment (e.g., Databricks, Snowflake credentials)
object
key
additional properties
any
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
EnvironmentResponse
Environment response model.
object
id
required
Id
string
name
required
Name
string
protected
required
Protected
boolean
platform
required
Platform
string
configuration
required
Configuration
object
key
additional properties
any
isActive
required
Isactive
boolean
createdAt
required
Createdat
string format: date-time
updatedAt
required
Updatedat
string format: date-time
Examplegenerated
{ "id": "example", "name": "example", "description": "example", "protected": true, "platform": "example", "gitProvider": "example", "gitRepository": "example", "targetGitBranch": "example", "secretScope": "example", "databricksClientIdKey": "example", "databricksClientSecretKey": "example", "configuration": {}, "isActive": true, "createdAt": "2026-04-15T12:00:00Z", "updatedAt": "2026-04-15T12:00:00Z", "createdBy": "example", "updatedBy": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}